{
	"openapi": "3.0.1",
	"info": {
		"title": "默认模块",
		"description": "",
		"version": "1.0.0"
	},
	"tags": [],
	"paths": {
		"/agentUser/page": {
			"get": {
				"summary": "分页",
				"deprecated": false,
				"description": "",
				"tags": [],
				"parameters": [
					{
						"name": "records[0].key",
						"in": "query",
						"description": "",
						"required": false,
						"schema": {
							"type": ""
						}
					},
					{
						"name": "total",
						"in": "query",
						"description": "",
						"required": false,
						"schema": {
							"type": "integer",
							"format": "int64"
						}
					},
					{
						"name": "size",
						"in": "query",
						"description": "",
						"required": false,
						"schema": {
							"type": "integer",
							"format": "int64"
						}
					},
					{
						"name": "current",
						"in": "query",
						"description": "",
						"required": false,
						"schema": {
							"type": "integer",
							"format": "int64"
						}
					},
					{
						"name": "orders[0].column",
						"in": "query",
						"description": "",
						"required": false,
						"schema": {
							"type": "string"
						}
					},
					{
						"name": "orders[0].asc",
						"in": "query",
						"description": "",
						"required": false,
						"schema": {
							"type": "boolean"
						}
					},
					{
						"name": "optimizeCountSql",
						"in": "query",
						"description": "",
						"required": false,
						"schema": {
							"type": "boolean"
						}
					},
					{
						"name": "searchCount",
						"in": "query",
						"description": "",
						"required": false,
						"schema": {
							"type": "boolean"
						}
					},
					{
						"name": "optimizeJoinOfCountSql",
						"in": "query",
						"description": "",
						"required": false,
						"schema": {
							"type": "boolean"
						}
					},
					{
						"name": "maxLimit",
						"in": "query",
						"description": "",
						"required": false,
						"schema": {
							"type": "integer",
							"format": "int64"
						}
					},
					{
						"name": "countId",
						"in": "query",
						"description": "",
						"required": false,
						"schema": {
							"type": "string"
						}
					},
					{
						"name": "query",
						"in": "query",
						"description": "",
						"required": false,
						"schema": {
							"type": "string"
						}
					}
				],
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"$ref": "#/components/schemas/RPageAgentUserPageDTO"
								},
								"example": {
									"code": 0,
									"msg": "",
									"data": {
										"records": [
											{
												"userId": 0,
												"status": false,
												"agentName": ""
											}
										],
										"total": 0,
										"size": 0,
										"current": 0,
										"orders": [
											{
												"column": "",
												"asc": false
											}
										],
										"optimizeCountSql": false,
										"searchCount": false,
										"optimizeJoinOfCountSql": false,
										"maxLimit": 0,
										"countId": ""
									}
								}
							}
						},
						"headers": {}
					}
				},
				"security": [
					{
						"bearer": []
					}
				]
			}
		},
		"/agentUser/save": {
			"post": {
				"summary": "新增",
				"deprecated": false,
				"description": "",
				"tags": [],
				"parameters": [],
				"requestBody": {
					"content": {
						"application/json": {
							"schema": {
								"$ref": "#/components/schemas/AgentUserROAdd",
								"description": ""
							}
						}
					}
				},
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"$ref": "#/components/schemas/R",
									"description": "响应信息主体"
								},
								"example": {
									"ok": false,
									"code": null,
									"msg": "",
									"data": {}
								}
							}
						},
						"headers": {}
					}
				},
				"security": [
					{
						"bearer": []
					}
				]
			}
		},
		"/agentUser/changePwd/{id:^\\d+$}": {
			"patch": {
				"summary": "修改密码",
				"deprecated": false,
				"description": "",
				"tags": [],
				"parameters": [
					{
						"name": "id",
						"in": "path",
						"description": "",
						"required": true,
						"schema": {
							"type": "integer"
						}
					}
				],
				"requestBody": {
					"content": {
						"application/json": {
							"schema": {
								"$ref": "#/components/schemas/AgentUserROChangePwd",
								"description": ""
							}
						}
					}
				},
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"$ref": "#/components/schemas/R",
									"description": "响应信息主体"
								},
								"example": {
									"ok": false,
									"code": null,
									"msg": "",
									"data": {}
								}
							}
						},
						"headers": {}
					}
				},
				"security": [
					{
						"bearer": []
					}
				]
			}
		},
		"/agentUser/changeStatus/{id:^\\d+$}": {
			"patch": {
				"summary": "启用禁用",
				"deprecated": false,
				"description": "",
				"tags": [],
				"parameters": [
					{
						"name": "id",
						"in": "path",
						"description": "",
						"required": true,
						"schema": {
							"type": "integer"
						}
					}
				],
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"$ref": "#/components/schemas/R",
									"description": "响应信息主体"
								},
								"example": {
									"ok": false,
									"code": null,
									"msg": "",
									"data": {}
								}
							}
						},
						"headers": {}
					}
				},
				"security": [
					{
						"bearer": []
					}
				]
			}
		},
		"/agentUser/info/{id:^\\d+$}": {
			"get": {
				"summary": "详情",
				"deprecated": false,
				"description": "",
				"tags": [],
				"parameters": [
					{
						"name": "id",
						"in": "path",
						"description": "",
						"required": true,
						"schema": {
							"type": "integer"
						}
					}
				],
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"$ref": "#/components/schemas/R",
									"description": "响应信息主体"
								},
								"example": {
									"ok": false,
									"code": null,
									"msg": "",
									"data": {}
								}
							}
						},
						"headers": {}
					}
				},
				"security": [
					{
						"bearer": []
					}
				]
			}
		},
		"/agentUser/edit/{id:^\\d+$}": {
			"patch": {
				"summary": "修改",
				"deprecated": false,
				"description": "",
				"tags": [],
				"parameters": [
					{
						"name": "id",
						"in": "path",
						"description": "",
						"required": true,
						"schema": {
							"type": "integer"
						}
					}
				],
				"requestBody": {
					"content": {
						"application/json": {
							"schema": {
								"$ref": "#/components/schemas/AgentUserROUpdate",
								"description": ""
							}
						}
					}
				},
				"responses": {
					"200": {
						"description": "",
						"content": {
							"application/json": {
								"schema": {
									"$ref": "#/components/schemas/R",
									"description": "响应信息主体"
								},
								"example": {
									"ok": false,
									"code": null,
									"msg": "",
									"data": {}
								}
							}
						},
						"headers": {}
					}
				},
				"security": [
					{
						"bearer": []
					}
				]
			}
		}
	},
	"components": {
		"schemas": {
			"R": {
				"type": "object",
				"properties": {
					"ok": {
						"type": "boolean"
					},
					"code": {
						"description": "返回标记：成功标记=0，失败标记=1",
						"type": "null"
					},
					"msg": {
						"type": "string",
						"description": "返回信息"
					},
					"data": {
						"type": "object",
						"properties": {},
						"description": "数据"
					}
				}
			},
			"AgentUserPageDTO": {
				"type": "object",
				"properties": {
					"userId": {
						"type": "integer",
						"description": "用户ID",
						"format": "int64"
					},
					"status": {
						"type": "boolean",
						"description": "启用状态"
					},
					"agentName": {
						"type": "string",
						"description": "代理商名称"
					}
				}
			},
			"AgentUserROAdd": {
				"type": "object",
				"properties": {
					"username": {
						"type": "string",
						"description": "用户名"
					},
					"agentName": {
						"type": "string",
						"description": "代理商名称"
					},
					"realname": {
						"type": "string",
						"description": "真实姓名"
					},
					"phone": {
						"type": "string",
						"description": "手机号码"
					},
					"idcard": {
						"type": "string",
						"description": "身份证号"
					},
					"address": {
						"type": "string",
						"description": "通讯地址"
					},
					"email": {
						"type": "string",
						"description": "邮箱地址"
					},
					"offlineRechargeRate": {
						"type": "number",
						"description": "线下充值费率"
					},
					"status": {
						"type": "boolean",
						"description": "启用状态"
					},
					"bankName": {
						"type": "string",
						"description": "开户行名称"
					},
					"bankBranch": {
						"type": "string",
						"description": "开户网点"
					},
					"accountName": {
						"type": "string",
						"description": "账户名"
					},
					"accountNum": {
						"type": "string",
						"description": "账户号"
					},
					"bankProvince": {
						"type": "string",
						"description": "开户省"
					},
					"bankCity": {
						"type": "string",
						"description": "开户市"
					},
					"newPwd": {
						"type": "string",
						"description": "新密码"
					},
					"oldPwd": {
						"type": "string",
						"description": "旧密码"
					}
				},
				"required": ["username", "agentName", "realname", "phone", "email"]
			},
			"OrderItem": {
				"type": "object",
				"properties": {
					"column": {
						"type": "string",
						"description": ""
					},
					"asc": {
						"type": "boolean",
						"description": ""
					}
				}
			},
			"PageAgentUserPageDTO": {
				"type": "object",
				"properties": {
					"records": {
						"type": "array",
						"items": {
							"$ref": "#/components/schemas/AgentUserPageDTO",
							"description": ""
						},
						"description": ""
					},
					"total": {
						"type": "integer",
						"description": "",
						"format": "int64"
					},
					"size": {
						"type": "integer",
						"description": "",
						"format": "int64"
					},
					"current": {
						"type": "integer",
						"description": "",
						"format": "int64"
					},
					"orders": {
						"type": "array",
						"items": {
							"$ref": "#/components/schemas/OrderItem",
							"description": "com.baomidou.mybatisplus.core.metadata.OrderItem"
						},
						"description": ""
					},
					"optimizeCountSql": {
						"type": "boolean",
						"description": ""
					},
					"searchCount": {
						"type": "boolean",
						"description": ""
					},
					"optimizeJoinOfCountSql": {
						"type": "boolean",
						"description": ""
					},
					"maxLimit": {
						"type": "integer",
						"description": "",
						"format": "int64"
					},
					"countId": {
						"type": "string",
						"description": ""
					}
				}
			},
			"RPageAgentUserPageDTO": {
				"type": "object",
				"properties": {
					"code": {
						"type": "integer",
						"description": "返回标记：成功标记=0，失败标记=1"
					},
					"msg": {
						"type": "string",
						"description": "返回信息"
					},
					"data": {
						"$ref": "#/components/schemas/PageAgentUserPageDTO",
						"description": "数据"
					}
				}
			},
			"AgentUserROUpdate": {
				"type": "object",
				"properties": {
					"username": {
						"type": "string",
						"description": "用户名"
					},
					"agentName": {
						"type": "string",
						"description": "代理商名称"
					},
					"realname": {
						"type": "string",
						"description": "真实姓名"
					},
					"phone": {
						"type": "string",
						"description": "手机号码"
					},
					"idcard": {
						"type": "string",
						"description": "身份证号"
					},
					"address": {
						"type": "string",
						"description": "通讯地址"
					},
					"email": {
						"type": "string",
						"description": "邮箱地址"
					},
					"offlineRechargeRate": {
						"type": "number",
						"description": "线下充值费率"
					},
					"status": {
						"type": "boolean",
						"description": "启用状态"
					},
					"bankName": {
						"type": "string",
						"description": "开户行名称"
					},
					"bankBranch": {
						"type": "string",
						"description": "开户网点"
					},
					"accountName": {
						"type": "string",
						"description": "账户名"
					},
					"accountNum": {
						"type": "string",
						"description": "账户号"
					},
					"bankProvince": {
						"type": "string",
						"description": "开户省"
					},
					"bankCity": {
						"type": "string",
						"description": "开户市"
					},
					"newPwd": {
						"type": "string",
						"description": "新密码"
					},
					"oldPwd": {
						"type": "string",
						"description": "旧密码"
					}
				},
				"required": ["username", "agentName", "realname", "phone", "email"]
			},
			"AgentUserROChangePwd": {
				"type": "object",
				"properties": {
					"username": {
						"type": "string",
						"description": "用户名"
					},
					"agentName": {
						"type": "string",
						"description": "代理商名称"
					},
					"realname": {
						"type": "string",
						"description": "真实姓名"
					},
					"phone": {
						"type": "string",
						"description": "手机号码"
					},
					"idcard": {
						"type": "string",
						"description": "身份证号"
					},
					"address": {
						"type": "string",
						"description": "通讯地址"
					},
					"email": {
						"type": "string",
						"description": "邮箱地址"
					},
					"offlineRechargeRate": {
						"type": "number",
						"description": "线下充值费率"
					},
					"status": {
						"type": "boolean",
						"description": "启用状态"
					},
					"bankName": {
						"type": "string",
						"description": "开户行名称"
					},
					"bankBranch": {
						"type": "string",
						"description": "开户网点"
					},
					"accountName": {
						"type": "string",
						"description": "账户名"
					},
					"accountNum": {
						"type": "string",
						"description": "账户号"
					},
					"bankProvince": {
						"type": "string",
						"description": "开户省"
					},
					"bankCity": {
						"type": "string",
						"description": "开户市"
					},
					"newPwd": {
						"type": "string",
						"description": "新密码"
					},
					"oldPwd": {
						"type": "string",
						"description": "旧密码"
					}
				},
				"required": ["newPwd", "oldPwd"]
			}
		},
		"securitySchemes": {
			"bearer": {
				"type": "http",
				"scheme": "bearer"
			}
		}
	},
	"servers": [],
	"security": []
}
